=== release 1.20.0 ===

2022-02-03 19:53:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* README:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.20.0

2022-02-03 19:53:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.0

2022-02-02 09:58:15 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/dash/gstdashsink.c:
	  dashsink: doc cleanup
	  Remove max-files mention in the command line test
	  Fix some typos
	  Use mpegtsdemux instead of tsdemux in the pipeline description
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1624>

2022-02-01 00:18:44 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstnvdecoder.c:
	  nvdecoder: Fix for display resolution setup
	  Display resolution should be cropped rect, not coded resolution.
	  Otherwise decoded output from NVDEC might be wrong.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1617>

2022-02-01 03:00:41 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtdec.c:
	* sys/applemedia/vtenc.c:
	* sys/applemedia/vtutil.c:
	* sys/applemedia/vtutil.h:
	  applemedia: Disable 64RGBALE support on older macOS
	  The kCVPixelFormatType_64RGBALE enum is only available on macOS Big
	  Sur (11.3) and newer. We also cannot use that while configuring the
	  encoder or decoder on older macOS.
	  Define the symbol unconditionally, but only use it when we're running
	  on Big Sur with __builtin_available().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1613>

2022-02-01 03:04:32 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtenc.c:
	  applemedia: Remove some unnecessary variables
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1613>

2022-02-01 05:07:04 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* docs/meson.build:
	* sys/applemedia/avfassetsrc.m:
	* sys/applemedia/iosassetsrc.m:
	  docs: Add objc and objcpp files to hotdoc gst_c_sources
	  Hotdoc should be able to extract and parse comments out of these. Just
	  need to be careful to only add the glob in directories that actually
	  contain *.m (objc) and *.mm (objcpp) files.
	  Also fix some doc comments and remove redundant ones.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1614>

2022-01-14 11:26:42 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/wpe/meson.build:
	  wpe: Support wpe-webkit-1.1
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1522>

2022-01-29 10:24:36 +0000  Philippe Normand <philn@igalia.com>

	* ext/wpe/WPEThreadedView.cpp:
	* ext/wpe/gstwpe.cpp:
	* ext/wpe/gstwpe.h:
	* ext/wpe/meson.build:
	* ext/wpe/wpe-extension/meson.build:
	  wpe: Install WebExtension in pkglibdir
	  The uninstalled WebExtension takes precedence over the installed one, so that
	  audio support works in local developer builds as well.
	  Fixes #975
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1602>

2022-01-30 19:06:29 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/plugin.m:
	* sys/applemedia/vtenc.c:
	  docs: Rename "OS X" to "macOS" in some documentation
	  No one uses the term "Mac OS X" anymore, it's "macOS". "OS X" is even
	  worse, because people will usually start the search with "mac".
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1607>

2022-01-28 23:15:28 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/applemedia/avfvideosrc.m:
	* sys/applemedia/vtdec.c:
	* sys/applemedia/vtenc.c:
	  applemedia: Document vtenc / vtdec elements
	  Also preserve-alpha property should only be exposed on the
	  vtenc_prores element since h264 does not support transparency.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-docs/-/issues/94
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1601>

2022-01-28 14:39:35 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	  v4l2codecs: h264: Improve ABI check
	  This moves the ABI check to the registration, so we don't expose
	  decoders with the wrong ABI or that are just broken somehow. It
	  also makes few enhancement:
	  - Handle missing, but required controls
	  - Prints the controls macro name instead of id
	  This should fix RK3399 support with a currently release minor
	  regression in the Hantro driver that cause errors.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1599>

2022-01-28 17:11:41 +0000  Philippe Normand <philn@igalia.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/utils.c:
	* ext/webrtc/utils.h:
	* ext/webrtc/webrtcdatachannel.c:
	* ext/webrtc/webrtcsdp.c:
	* gst-libs/gst/webrtc/meson.build:
	* gst-libs/gst/webrtc/webrtc.c:
	* gst-libs/gst/webrtc/webrtc_fwd.h:
	* tests/check/elements/webrtcbin.c:
	  webrtc: Expose RTCError enum
	  The error codes not complying with the spec are now notified with the
	  GST_WEBRTC_ERROR_INTERNAL_FAILURE code.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1485>

2022-01-29 04:46:24 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11av1dec.cpp:
	* sys/d3d11/gstd3d11h264dec.cpp:
	* sys/d3d11/gstd3d11h265dec.cpp:
	* sys/d3d11/gstd3d11mpeg2dec.cpp:
	* sys/d3d11/gstd3d11vp8dec.cpp:
	* sys/d3d11/gstd3d11vp9dec.cpp:
	  d3d11decoder: Fix typo in doc
	  s/elemenet/element/g
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1598>

=== release 1.19.90 ===

2022-01-28 14:28:35 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.19.90

2022-01-28 14:28:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.19.90

2022-01-27 11:22:54 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvavpp.c:
	  vapostproc: Make cb max values symmetrical to their min values.
	  Intel drivers expose some colorbalance's maximum values much more
	  bigger than their minimum values, given their middle values (default
	  value). This means, in practice, that the real middle point between
	  the maximum and minimum values implies a major change in the color
	  balance, which is not expected by the GStreamer color balance logic.
	  This patch makes the given maximum value symmetrical to the minimum
	  value, given the middle one (default value).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1580>

2022-01-27 11:49:53 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	* sys/v4l2codecs/gstv4l2codecmpeg2dec.c:
	* sys/v4l2codecs/gstv4l2codecvp8dec.c:
	* sys/v4l2codecs/gstv4l2codecvp9dec.c:
	  v4l2codecs: Fix debug assertion in register functions
	  As now, we warn if the decoder have no support src pixel format, but that
	  warning is called before the type (hence the debug category) is initialized.
	  Fix this by moving the debug category init out of the type initialization,
	  into the register funcitons.
	  This will fix an assertion that occures in the register function and allow
	  relevant log to be seen by the users.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1588>

2022-01-27 17:56:29 +0100  Jakub Adam <jakub.adam@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Chain up to parent constructed method
	  Failing to do so makes GstWebRTCBin invisible to the leaks tracer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1587>

2022-01-27 01:40:17 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/LINGUAS:
	* po/ro.po:
	  gst-plugins-bad: update translations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1579>

2022-01-27 03:10:39 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11av1dec.cpp:
	  d3d11av1dec: Fix typo in debug message
	  Fixing copy and paste mistake, It's AV1 decoder not VP8
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1576>

2022-01-25 12:32:50 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvabasetransform.c:
	  va: basetransform: Pass component index not plane index.
	  This is an issue detected and fixed in commit 3897b24f for other
	  libraries and elements.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1566>

2022-01-24 11:14:14 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvafilter.c:
	* sys/va/gstvafilter.h:
	* sys/va/gstvavpp.c:
	  va: filter & postproc: Match color with caps features.
	  When fixating color, there might be "other caps" with color spaces not
	  supported by the caps features exposed in the vapostproc's source pad
	  caps template (perhaps it's a bug somewhere else in GStreamer).
	  This solution checks if the proposed format exists in the filter
	  within the caps feature associated with the proposed format.
	  The check is done with the new filter's function
	  gst_va_filter_has_video_format().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1559>

2022-01-10 13:34:21 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/mpegtsmux/gstbasetsmux.c:
	* gst/mpegtsmux/tsmux/tsmux.c:
	* gst/mpegtsmux/tsmux/tsmuxstream.c:
	* gst/mpegtsmux/tsmux/tsmuxstream.h:
	  tsmux: Allow specifying PMT order via the prog-map
	  Look for an entry `PMT_<PID>` in the `prog-map`, which specifies the
	  relative index of the stream in the PMT.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1510>

2022-01-10 14:16:28 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/mpegtsmux/tsmux/tsmux.c:
	  tsmux: Deterministically order program streams by PID
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1510>

2022-01-10 12:59:58 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/mpegtsmux/tsmux/tsmux.c:
	  tsmux: Deterministically order PAT programs by number
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1510>

2022-01-10 13:03:11 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/mpegtsmux/tsmux/tsmux.c:
	* gst/mpegtsmux/tsmux/tsmuxstream.c:
	* gst/mpegtsmux/tsmux/tsmuxstream.h:
	  tsmux: Remove program_array_index
	  It's only used for removal. Let's just scan the array.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1510>

2022-01-10 12:31:42 +0100  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/mpegtsmux/tsmux/tsmux.c:
	* gst/mpegtsmux/tsmux/tsmux.h:
	  tsmux: Replace streams GArray with GPtrArray
	  This is more appropriate.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1510>

2022-01-19 23:17:23 +0900  Sangchul Lee <sc11.lee@samsung.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/webrtcdatachannel.c:
	* ext/webrtc/webrtcsdp.c:
	  webrtc: Fix memory leaks
	  Redundant condition and unreachable codes are also removed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1544>

2020-07-14 11:11:11 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	* sys/v4l2codecs/gstv4l2codecmpeg2dec.c:
	* sys/v4l2codecs/gstv4l2codecvp8dec.c:
	* sys/v4l2codecs/gstv4l2codecvp9dec.c:
	* sys/v4l2codecs/gstv4l2format.h:
	  v4l2codecs: Unify the src template caps format
	  Notably NV12_4L4 ended up being applied to only VP9 decoder. This fixes the
	  situation by using a central define for all static src pad templated formats.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/965>

2022-01-21 14:13:39 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/linux/v4l2-controls.h:
	* sys/v4l2codecs/linux/videodev2.h:
	  v4l2codecs: Sync kernel headers against 5.16.0
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/965>

2022-01-21 11:13:55 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/msdk/msdk.c:
	  msdk: Avoid noisy registry when no MSDK device.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1550>

2022-01-21 10:53:21 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/va/gstvadisplay.c:
	  va: libs: Avoid noisy registry when no VA device.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1550>

2022-01-20 05:59:36 +0900  Seungha Yang <seungha@centricular.com>

	* sys/wasapi2/gstwasapi2client.cpp:
	* sys/wasapi2/gstwasapi2util.c:
	* sys/wasapi2/gstwasapi2util.h:
	* sys/wasapi2/meson.build:
	  wasapi2: Fix for device open failure on old OS
	  To open automatic stream routing aware device,
	  at least Windows10 Anniversary Update is required.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1545>

2022-01-18 03:03:30 +0900  Seungha Yang <seungha@centricular.com>

	* sys/wasapi2/gstwasapi2ringbuffer.cpp:
	  wasapi2ringbuffer: Fix for desynced buffer-size and segsize
	  GstAudioRingBufferSpec::segsize has been configured by using
	  device period but GstWasapi2RingBuffer was referencing the
	  buffer size returned by IAudioClient::GetBufferSize()
	  which is most likely larger than device period.
	  Fixing to sync them.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1533>

2021-12-30 16:52:17 +0100  Robert Mader <robert.mader@collabora.com>

	* ext/wayland/wlwindow.c:
	* ext/wayland/wlwindow.h:
	  waylandsink: Ensure correct mapping of area_surface
	  If the `area_surface` got unmapped when changing to the `READY` or
	  `NULL` state, we currently don't remap it when playback resumes and
	  `wp_viewporter` is supported. Without `wp_viewporter` we do remap
	  it, but rather unintentionally and also when not wanted.
	  On Weston this has not been a big problem as it so far wrongly maps
	  subsurfaces of unmapped surfaces anyway - i.e. only the black
	  background was missing on resume. On other compositors and future
	  Weston this prevents the `video_surface` to get remapped.
	  Shuffle things around to ensure `area_surface` is mapped in the
	  right situations and do some minor cleanup.
	  See also https://gitlab.freedesktop.org/wayland/weston/-/issues/426
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1483>

2022-01-16 02:21:43 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11deinterlace.cpp:
	  d3d11deinterlace: Do not restrict minimum resolution to 64x64
	  The value 64 was completely arbitrary one, and this element
	  will be able to support smaller resolutions
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1528>

2022-01-06 22:00:11 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11compositor.cpp:
	  d3d11compositor: Don't try to read empty buffer
	  The queued buffer may not be readable buffer in case that
	  upstream sends GAP event or so.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1497>

2022-01-13 14:17:09 +0100  Robert Mader <robert.mader@collabora.com>

	* tests/examples/waylandsink/main.c:
	  waylandsink: Fix alpha value for the test pattern in example
	  The background-color property is in big-endian ARGB, resulting in
	  a alpha value of `0`. This accidentally used to work on all common
	  compositors, but on Weston this now correctly results in a black
	  background.
	  See also https://gitlab.freedesktop.org/wayland/weston/-/issues/577
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1446>

2021-12-13 13:16:06 +0100  Robert Mader <robert.mader@collabora.com>

	* ext/wayland/wldisplay.c:
	* ext/wayland/wlwindow.c:
	  waylandsink: Use wl_surface_damage_buffer() instead of wl_surface_damage()
	  The later, doing damage in surface coordinates instead of buffer
	  coordinates, has been deprecated. The reason for that is that it
	  is more prone to bugs, both on the client and the compositor side,
	  especially when paired with buffer scale, `wp_viewporter` or
	  buffer transforms.
	  Unfortunately, on Weston this risks running into
	  https://gitlab.freedesktop.org/wayland/weston/-/issues/446
	  (which causes trouble for several other projects as well). However,
	  that bug only affects cases where we run in sync mode, i.e. only
	  during resizes. In practise I haven't been able to observe the
	  issue.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1446>

2021-12-13 12:21:06 +0100  Robert Mader <robert.mader@collabora.com>

	* ext/wayland/wlwindow.c:
	  waylandsink: Use G_MAXINT32 for surface damage
	  Each time we call `wl_surface_damage()` we want to do full surface
	  damage. Like Mesa, just use `G_MAXINT32` to ensure we always do
	  full damage, reducing the need to track the right dimensions.
	  `window->video_rectangle` is now unused, but we keep it around for
	  now as we may need it again in the future.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1446>

2021-12-30 18:14:24 +0100  Robert Mader <robert.mader@collabora.com>

	* ext/wayland/wlwindow.c:
	  waylandsink: Only call wl_surface_damage() when buffer content changed
	  From the spec:
	  > This request is used to describe the regions where the pending
	  > buffer is different from the current surface contents
	  We currently also call `wl_surface_damage()` on surfaces without
	  new or still compositor-hold buffers, e.g. when resizing the window.
	  In that case we call it on `area_surface_wrapper`, even though it
	  gets resized via `wp_viewport_set_destination()`, in which case
	  the compositor is in charge of repainting the area on screen.
	  Doing so is currently not forbidden by the spec, however it might
	  be in the future, see
	  https://gitlab.freedesktop.org/wayland/wayland/-/issues/267
	  Thus lets stay close to the spec and only call `wl_surface_damage()`
	  when we just attached a buffer.
	  Right now this prevents runtime assertions in Mutter.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1446>

2021-12-13 14:31:06 +0100  Robert Mader <robert.mader@collabora.com>

	* ext/wayland/wlwindow.c:
	  waylandsink: Simplify input region handling
	  We only need to unset the input region for the area surface when
	  we don't have our own toplevel surface. By default, the input region
	  covers the whole surface, thus no need to change it on resize.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1446>

2021-12-13 12:00:10 +0100  Robert Mader <robert.mader@collabora.com>

	* ext/wayland/wlwindow.c:
	  waylandsink: Use G_MAXINT32 for opaque regions
	  `gst_wl_window_set_opaque` does not get called on window resizes,
	  potentially leaving opaque regions too small.
	  According to the spec opaque regions can be bigger than the surface
	  size - parts that fall outside of the surface will get ignored.
	  Thus we can can simply use `G_MAXINT32` and be sure that the whole
	  surfaces will always be covered.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1446>

2022-01-11 13:21:55 -0500  Dave Piché <dave.piche@motorolasolutions.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtc: fix log error message in function gst_webrtc_bin_set_local_description
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1511>

2022-01-13 11:31:55 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/mxf/mxfvanc.c:
	  mxfdemux: don't error out if VANC track only contains packets we don't handle
	  If the VANC track does contain packets, but we skip over all packets, just
	  treat it the same as if there hadn't been any packets at all and send a
	  GAP event instead of erroring out with "Failed to handle essence element".
	  We would error out because when we reach the end of the loop without having
	  found a closed caption packet the flow return variable is still FLOW_ERROR
	  which is what it has been initialised to.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1518>

2022-01-13 10:36:24 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecparsers/gsth265parser.c:
	  codecparsers: h265parser: return invalid profile if len is 0.
	  Though the profiles[0] is inited as GST_H265_PROFILE_INVALID in the
	  gst_h265_profile_tier_level_get_profile(), the profile detecting may
	  change its content later. So the return of profiles[0] may not be an
	  invalid profile even the len is 0.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1517>

2022-01-13 10:11:52 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecparsers/gsth265parser.c:
	  codecparsers: h265parser: Fix the index incrementation error in append_profile().
	  The current "*idx++" operation just refers the pointer and increment the pointer
	  itself, not the content of the pointer. This causes that the count of the profiles
	  is always 0.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1517>

2022-01-04 04:56:55 +0300  Dmitry Osipenko <digetx@gmail.com>

	* sys/kms/gstkmssink.c:
	  kmssink: Support auto-detection of NVIDIA Tegra driver
	  NVIDIA Tegra SoCs have a separate (from GPU) display controller. It's
	  the primary display device on all Tegra SoCs. Add Tegra to the list
	  of primary DRM drivers.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1514>

2022-01-08 00:16:29 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/closedcaption/gstcccombiner.c:
	  cccombiner: fix s334-1a scheduling
	  The previous code was mistakenly trying to compute a cc_type out
	  of the first byte in the byte triplet, whereas it is to be interpreted
	  as:
	  > Bit b7 of the LINE value is the field number (0 for field 2; 1 for field 1).
	  > Bits b6 and b5 are 0. Bits b4-b0 form a 5-bit unsigned integer which
	  > represents the offset
	  The same mistake was made when creating padding packets.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1496>

2022-01-05 22:48:31 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/closedcaption/gstcccombiner.c:
	  cccombiner: merge buffers for both fields with caption type s334-1a
	  Other elements such as line21encoder expect both fields to be present
	  in the same meta, not one meta per field.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1496>

2022-01-10 15:24:13 +0800  Mengkejiergeli Ba <mengkejiergeli.ba@intel.com>

	* gst-libs/gst/codecparsers/gstav1parser.h:
	  av1parser: Fix data type of film grain param
	  Fix cb_offset and cr_offset data type from guint8 to guint16. According
	  to spec, cb_offset and cr_offset are 9 bit long, while guint8 can cause
	  interger overflow, and thus change to guint16.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1508>

2022-01-05 02:07:59 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* docs/meson.build:
	* ext/opencv/meson.build:
	* gst-libs/gst/vulkan/meson.build:
	* meson.build:
	* sys/msdk/meson.build:
	  meson: Add explicit check: kwarg to all run_command() calls
	  This is required since Meson 0.61.0, and causes a warning to be
	  emitted otherwise:
	  https://github.com/mesonbuild/meson/commit/2c079d855ed87488bdcc6c5c06f59abdb9b85b6c
	  https://github.com/mesonbuild/meson/issues/9300
	  This exposed a bunch of places where we had broken run_command()
	  calls, unnecessary run_command() calls, and places where check: true
	  should be used.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1507>

2022-01-05 10:53:55 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* gst/codecalpha/gstalphacombine.c:
	  alphacombine: update example launch line
	  Fix typos and missing videoconvert element to demonstrate
	  the alphacombine element.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1494>

2021-12-24 23:09:59 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: Set the "tu" as the default alignment.
	  The tu(temporal unit) is more widely used than the current alignment.
	  We now change the default alignment to tu.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1468>

2021-12-24 21:50:01 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: Fix the wrong DELTA_UNIT flag setting for key frames.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1468>

2021-12-22 12:36:15 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: Copy the PTS and DURATION when we create data.
	  We need to create header buffers for annex b format. This kind of
	  buffers should inherit the PTS and DURATION from the original buffers.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1468>

2022-01-03 21:02:47 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtenc.c:
	  vtenc: Signal ignored alpha component with ProRes
	  When the image is opaque but the output ProRes format has an alpha
	  component (4 component, 32 bits per pixel), Apple requires that we
	  signal that it should be ignored by setting the depth to 24 bits per
	  pixel. Not doing so causes the encoded files to fail validation.
	  So we set that in the caps and qtmux sets the depth value in the
	  container, which will be read by demuxers so that decoders can skip
	  those bytes entirely. qtdemux does this, but vtdec does not use this
	  information at present.
	  The sister change was made in qtmux and qtdemux in:
	  https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/merge_requests/1061
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1489>

2022-01-03 22:15:12 +0800  He Junyan <junyan.he@intel.com>

	* gst-libs/gst/codecparsers/gsth265parser.c:
	  codecparsers: h265parser: Correct the read of slice_sao_chroma_flag.
	  According to the SPEC, for parsing the slice header, we should read the
	  slice_sao_chroma_flag only when ChromaArrayType is not equal to 0.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1488>

2021-12-29 21:29:02 +0100  Rafał Dzięgiel <rafostar.github@gmail.com>

	* ext/assrender/gstassrender.c:
	  assrender: Support RFC8081 mime types
	  Old "application/*" are now as per RFC8081 deprecated in favor of
	  new "font/*" mime types. Some new encoders are already using the
	  updated mime types. We need to also add them to the support list
	  in order for assrender to correctly identify them as fonts.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1481>

2021-12-29 21:28:56 +0100  Rafał Dzięgiel <rafostar.github@gmail.com>

	* ext/assrender/gstassrender.c:
	  assrender: Handle ".ttc" attachment extension
	  TTC stands for "TrueType Collection" file. We can pass it
	  into libass as any other attachment. Add it to the supported
	  extensions list, so the fonts it contains will be used.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1481>

2022-01-02 09:38:43 +0000  Philippe Normand <philn@igalia.com>

	* ext/webrtc/webrtcdatachannel.c:
	  webrtcdatachannel: Notify buffered-amount property updates
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1484>

2021-12-27 03:15:10 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11decoder.cpp:
	  d3d11decoder: Negotiate again on the first output buffer
	  ... unconditionally. There may be updated field in sinkpad caps
	  after the new_sequence() call (HDR related ones for example),
	  then we should signal the information to downstream.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1474>

2021-12-29 15:02:03 +0000  Philippe Normand <philn@igalia.com>

	* ext/webrtc/gstwebrtcstats.c:
	  webrtcstats: Fix null pointer dereference
	  If there is no jitterbuffer stats we should not attempt to store them in the
	  global stats structure.
	  Also add a g_return_if_fail in _gst_structure_take_structure() about this
	  because it is a programmer error to pass an invalid pointer address there.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1479>

2021-08-12 19:14:16 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gstav1parse.c:
	  codecparsers: av1parse: Add the DECODE_ONLY flag to output buffer.
	  When the alignment is ALIGN_FRAME and the output buf contains a frame
	  which is not to be shown, the GST_BUFFER_FLAG_DECODE_ONLY flag should
	  be set.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1050>

2021-12-14 12:38:25 -0500  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcstats.c:
	  webrtcstats: Fall back to last packet ssrc if caps dont provide it
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1448>

2021-12-14 11:28:42 -0500  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcstats.c:
	  webrtcstats: Use our own caps instead of the sticky event
	  The sticky event seems to get cleared sometimes.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1448>

2021-12-14 11:28:13 -0500  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/gstwebrtcbin.h:
	  webrtcbin: Store the ssrc of the last received packet
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1448>

2021-12-13 16:57:06 -0500  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcstats.c:
	  webrtc stats: Remove duplicate structure get
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1448>

2021-12-13 16:56:37 -0500  Olivier Crête <olivier.crete@collabora.com>

	* ext/webrtc/gstwebrtcstats.c:
	  webrtc stats: Add more details about codecs into the stats
	  This makes the output a little closer to what the upstream stats are.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1448>

2021-12-23 10:06:58 +1100  Brad Hards <bradh@frogmouth.net>

	* ChangeLog:
	* data/targets/file-extension/ts.gep:
	  doc: typo fix for streaming
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1463>

2021-12-21 12:55:59 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvaprofile.c:
	  va: av1dec: Use named profiles to replace the numeric ones.
	  Use named AV1 profiles (i.e., main, high, and professional) to replace
	  the old 0, 1, 2 profiles.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1456>

2021-12-21 01:08:40 +0900  Seungha Yang <seungha@centricular.com>

	* ext/aom/gstav1enc.c:
	  av1enc: Update for newly designed AV1 profile signalling
	  Accept named AV1 profiles (i.e., main, high, and professional)
	  as well
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1456>

2021-12-19 21:48:51 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11av1dec.cpp:
	  d3d11av1dec: Update sinkpad template for profile
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1456>

2021-12-19 21:44:19 +0900  Seungha Yang <seungha@centricular.com>

	* gst/videoparsers/gstav1parse.c:
	* tests/check/elements/av1parse.c:
	  av1parse: Use descriptive profile name instead of numeric
	  As per AV1 specification Annex A, AV1 profiles have explicit and
	  descriptive names for each seq_profile.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1456>

2021-12-19 21:47:18 +0900  Seungha Yang <seungha@centricular.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: Remove trailing white space
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1456>

2021-12-17 22:24:57 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11av1dec.cpp:
	  d3d11av1dec: Fix for Cdef param
	  av1parser will increase the sec_strength values by 1 if parsed
	  values were equal to 3 as defined in spec. But DXVA wants unmodified
	  ones.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1455>

2021-12-17 19:49:42 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11av1dec.cpp:
	  d3d11av1dec: Sync DXVA AV1 data structure with released header
	  Update AV1 data structure based on Windows 11 SDK header
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1455>

2021-12-15 12:27:24 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* tests/check/libs/h265parser.c:
	  tests: h265parser: Add test for multiple compatibility profiles.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1440>

2021-12-14 19:56:48 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/videoparsers/gsth265parse.c:
	  h265parser: Compare upstream profile with in SPS.
	  Compare if upstream profile in caps is the same as the one parsed in
	  the SPS. If they are different use the bigger for simplicity and
	  more chances to decode it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1440>

2021-12-15 11:58:07 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/codecparsers/gsth265parser.c:
	  codecparsers: h265parser: Use a table map to get profile.
	  Instead of a sequence of if statements, declare a table to map profile
	  idc with profiles and traverse it.
	  Also, first add the profile from the parsed profile idc and later add,
	  into the profile array, the profile from the compatibility flags.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1440>

2021-12-14 19:36:56 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/codecparsers/gsth265parser.c:
	  codecparsers: h265parser: Verify all possible profiles.
	  It's possible a HEVC stream to have multiple profiles given the
	  compatibility bits. Instead of returning a single profile, internal
	  gst_h265_profile_tier_level_get_profiles() returns an array with all
	  it possible profiles.
	  Profiles are appended into the array only if the generated profile
	  is not invalid.
	  gst_h265_profile_tier_level_get_profile() is rewritten in terms of
	  gst_h265_profile_tier_level_get_profiles(), returning the first
	  profile found the array.
	  And  gst_h265_get_profile_from_sps() is also rewritten in terms of
	  gst_h265_profile_tier_level_get_profiles(), but traversing the array
	  verifying if the proposed profile is actually valid by Annex A.3.x of
	  the specification.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1440>

2021-12-09 03:00:56 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: bind transceiver's fec-percentage to encoder percentage
	  Allows for dynamic control of the applied FEC overhead
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1429>

2021-12-07 23:55:22 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/transportstream.c:
	* ext/webrtc/transportstream.h:
	  webrtcbin: fix ulpfec / red for the BUNDLE case
	  * Add fec / red encoders as direct children of webrtcbin, instead
	  of providing them to rtpbin through the request-fec-encoder signal.
	  That is because they need to be placed before the rtpfunnel, which
	  is placed upstream of rtpbin.
	  * Update configuration of red decoders to set a list of RED payloads
	  on them, instead of setting the pt property.
	  That is because there may be one RED pt per media in the same session.
	  * Connect to request-fec-decoder-full instead of request-fec-decoder,
	  in order to instantiate FEC decoders according to the payload type
	  of the stream.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1429>

2021-12-10 21:58:33 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11pluginutils.cpp:
	  d3d11videosink: Use only tested color space for swapchain
	  We are querying supported swapchain colorspace via
	  CheckColorSpaceSupport() but it doesn't seem to be reliable.
	  Use only tested full-range RGB formats which are:
	  - sRGB
	  - BT709 primaries with linear RGB
	  - BT2020 primaries with PQ gamma
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1433>

2021-12-11 11:33:39 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/soundtouch/gstpitch.cc:
	  pitch: Specify layout as required for negotiation
	  There are cases where it might negotiate 'non-interleaved' while it
	  is wrong.
	  ```
	  gst-launch-1.0 audiotestsrc !  "audio/x-raw, format=(string)F32LE, layout=(string)non-interleaved" ! audioconvert ! audioresample ! pitch tempo=1.2 ! audioconvert ! "audio/x-raw,format=S16LE" ! fakesink
	  Setting pipeline to PAUSED ...
	  Pipeline is PREROLLING ...
	  (gst-launch-1.0:3029628): GStreamer-Audio-CRITICAL **: 11:42:22.477: gst_audio_buffer_map: assertion '(!meta && info->layout == GST_AUDIO_LAYOUT_INTERLEAVED) || (meta && info->layout == meta->info.layout)' failed
	  ERROR: from element /GstPipeline:pipeline0/GstAudioConvert:audioconvert1: The stream is in the wrong format.
	  Additional debug info:
	  ../subprojects/gst-plugins-base/gst/audioconvert/gstaudioconvert.c(876): gst_audio_convert_transform (): /GstPipeline:pipeline0/GstAudioConvert:audioconvert1:
	  failed to map input buffer
	  ERROR: pipeline doesn't want to preroll.
	  ERROR: from element /GstPipeline:pipeline0/GstAudioTestSrc:audiotestsrc0: Internal data stream error.
	  Setting pipeline to NULL ...
	  Additional debug info:
	  ../subprojects/gstreamer/libs/gst/base/gstbasesrc.c(3127): gst_base_src_loop (): /GstPipeline:pipeline0/GstAudioTestSrc:audiotestsrc0:
	  streaming stopped, reason error (-5)
	  ERROR: pipeline doesn't want to preroll.
	  Freeing pipeline ...
	  ```
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1441>

2021-12-10 15:46:41 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	  doc: Update vp9alphadecodebin doc cache
	  A new field was added to the template cpas.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1439>

2021-12-10 15:18:56 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/codecalpha/gstalphacombine.c:
	  alphacombine: Fix for early allocation queries
	  When using playbin3, it seems that the alpha decode is always first to
	  push caps and run an allocation query. As the format change from sink
	  and alpha were not synchronized, the allocation query could endup
	  being run before the caps are pushed. That may lead to failing query,
	  which makes the decoder thinks there is no GstVideoMeta downstream and
	  most likely CPU copy the frame.
	  This patch implements a format cookie to track and synchronize the
	  format changes on both pads fixing the racy performance issue.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1439>

2021-12-10 14:09:44 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codecvp9dec.c:
	* sys/v4l2codecs/gstv4l2codecvp9dec.h:
	* sys/v4l2codecs/plugin.c:
	  v4l2codecs: vp9: Add alpha decodebin wrapper
	  This will allow HW accelerated decoding of WebM alpha videos.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1439>

2021-12-10 14:09:06 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/plugin.c:
	  v4l2codecs: plugin: Minor style fix
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1439>

2021-12-10 14:08:32 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2decoder.c:
	  v4l2codecs: decoder: Improve logging of timed out request
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1439>

2021-12-10 14:07:18 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codecmpeg2dec.c:
	* sys/v4l2codecs/gstv4l2codecmpeg2dec.h:
	* sys/v4l2codecs/plugin.c:
	  v4l2codecs: mpeg2: Check that the decoder output formats
	  This is to avoid exposing a decoder for which we don't support any
	  output format. This happens on platform using vendor formats or
	  not yet supported tiles formats.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1439>

2021-12-10 14:04:40 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/codecalpha/gstvp9alphadecodebin.c:
	  vp9alphadecodebin: Fix auto-pluging v4l2slvp9dec
	  This adds the alignment field to the template caps. Without this field
	  set, the auto-plugger will see fixed caps and will use
	  gst_caps_is_subset() against the caps produced by the parser. This is a
	  challenge for all cases where a parser can do conversion. This is fixed
	  by adding alignment field, which makes the auto-pluggers do an
	  intersection of the caps as it gets unfixed caps after intersection now.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1439>

2021-12-09 19:55:04 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11pluginutils.cpp:
	* sys/d3d11/gstd3d11pluginutils.h:
	* sys/d3d11/gstd3d11window.cpp:
	  d3d11window: Remove hack related to color space selection
	  Use input GstVideoColorPrimaries without any special case handling
	  otherwise rendered image color would be very wrong.
	  The hack was added to work around an issue that some Intel driver
	  couldn't handle wide color gamut image without HDR10 metadata, specifically PQ image.
	  But device capability can be checked via a method added in
	  https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/merge_requests/1723
	  so there's no issue now.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gst-plugins-bad/-/issues/1175
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1430>

2021-12-09 19:51:04 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d11/gstd3d11window.cpp:
	  d3d11window: Fix typo in debug message
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1430>

2021-12-08 11:08:30 +0100  Benjamin Gaignard <benjamin.gaignard@collabora.com>

	* gst-libs/gst/codecs/gsth264decoder.c:
	  codecs: h264decoder: Fix return value type
	  Return value should be GstFlowReturn not gboolean
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1426>

2021-12-07 17:09:11 +0100  Benjamin Gaignard <benjamin.gaignard@collabora.com>

	* gst-libs/gst/codecs/gsth265decoder.c:
	  codecs: h265decoder: Fix return value if klass->new_picture isn't set
	  If klass->new_picture isn't set we need to initialize
	  ret with GST_FLOW_OK to avoid unwanted error case
	  Fixes: 5b405d15858b ("codecs: h265decoder: Use GstFlowReturn everywhere")
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1426>

2021-12-06 16:47:14 +0000  Philippe Normand <philn@igalia.com>

	* ext/wpe/gstwpevideosrc.cpp:
	  wpevideosrc: Use basesrc event vfunc
	  Allows for basic default handling from the base class.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1422>

2021-12-03 13:24:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/teletextdec/gstteletextdec.c:
	  teletextdec: fix minor string leak
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1416>

2021-12-02 15:52:06 +0100  Marc Leeman <m.leeman@televic.com>

	* gst/rist/gstristsink.c:
	  ristsink: set properties on children early
	  The properties on the udpsink/udpsrc elements need to be set before
	  there is any state change. If not, in a network without default gateway,
	  udpsink tries to bind an a NULL interface and fails.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1411>

2021-12-03 07:53:54 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codecmpeg2dec.c:
	  v4l2codecs: mpeg2: Fix selected sizeimage
	  Due to a copy paste bug, the bitdepth was never set and that was leading
	  to requesting sizeimage of 0. Previously that worked since the driver
	  would in that case pick a size for us. But now the we bumped the minimum
	  to 4KB, the driver happily allocate 4KB of bitstream which lead to
	  decoding error.
	  As MPEG2 have a fixed bitdeph of 8, use a define instead of the run-time
	  variable.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1415>

2021-12-01 12:16:40 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codecvp9dec.c:
	  v4l2codecs: vp9: Drop frames on non-keyframe format change
	  V4L2 does not yet support this feature, this will skip over the
	  transition portion up to the next keyframe.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1404>

2021-12-01 09:51:57 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

